STRUCT REGULATOR_BUL(9)

NAME
struct_regulator_bulk_data - Data used for bulk regulator operations.

SYNOPSIS

struct regulator_bulk_data {
  const char * supply;
  struct regulator * consumer;
};

MEMBERS

supply
    The name of the supply. Initialised by the user before using the bulk regulator APIs.

consumer
    The regulator consumer for the supply. This will be managed by the bulk API.

DESCRIPTION

The regulator APIs provide a series of regulator_bulk_ API calls as a convenience to consumers which require multiple supplies. This structure is used to manage data for these calls.

AUTHORS

Liam Girdwood <lrg@slimlogic.co.uk>
    Author.

Mark Brown <broonie@opensource.wolfsonmicro.com>
Wolfson Microelectronics,

    Author.

COPYRIGHT